
Redmine - Feature #328

Log any changes to the issue. description ,subject etc.

2007-04-26 12:16 - Mar T

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be good to also to include as part of the history every time there is a change in the description or subject.

this way you can know if someone changed it and when.

If there is already a way to know that please let me know.

thanks a lot

Related issues:

Is duplicate of Redmine - Feature #746: Versioned issue descriptions Closed 2008-02-27

History

#1 - 2007-04-26 12:47 - Jean-Philippe Lang

As far as i know, subject changes are logged.

See: http://demo.redmine.org/issues/show/2 for example (look

at the last change).

If you want to save description changes, just change:

(Issue.column_names - %w(id description)).each {|c|

to:

(Issue.column_names - %w(id)).each {|c|

in app/models/issue.rb (line 64 in rev473)

Note that values shown in the history will be truncated to 255

chars, since value and old_value columns of journal_details table

are varchar255.

#2 - 2007-04-26 13:11 - Mar T

Thanks i will try that.

The reason i asked for the description. is so when someone

makes an issue request or reports it, they cant just change

it without noticing it.

Thanks for the reply.

#3 - 2007-11-21 02:09 - Artem Vasiliev

+1!

The tracker looks really good but this feature is a must to me.

It's really good if this is so easy to hack but I suggest to

also include it in Demo (it's not there yet - just tried it).

#4 - 2008-05-16 16:06 - Ronie Henrich

+1

#5 - 2008-06-18 13:35 - Artem Vasiliev

Notice there's a separate ticket on description history diffing, #746

#6 - 2008-07-30 19:34 - Artem Vasiliev

Patch created closing this issue, #1717

2025-07-01 1/2

http://demo.redmine.org/issues/show/2
https://www.redmine.org/issues/746
https://www.redmine.org/issues/1717


#7 - 2010-05-16 01:00 - Felix Schäfer

- Status changed from New to Closed

Closing this issue in favor of #746.
